package servlets;

import java.io.IOException;
import java.io.PrintWriter;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import sBean.ProfessorUserRemote;

public class MyServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    
    public MyServlet() {
        super();
     
    }

	
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
try {
			
			Context ctx = new InitialContext();
			Object obj = ctx.lookup("ProfessorUser/remote");
			
			if (obj != null)
			{
				ProfessorUserRemote MyRemObj = (ProfessorUserRemote) obj;
				String result = MyRemObj.RegisterPR("2341", "dasda", "FName", "LName", "Type");
				
				PrintWriter pw = response.getWriter();
				pw.write(result);
				pw.flush();
			}
		} catch (NamingException e) {
			
			e.printStackTrace();
		}
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		
	}

}
